/* Copyright (C) 2004 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

/* Define the machine-dependent type `jmp_buf'.  TPF version. */

#ifndef __TPF_SETJMP_H__                                                        //ZTPF11
#define __TPF_SETJMP_H__ 1                                                      //ZTPF11

 #define TPF_SA_SIZE       288                                                  //ZTPF11
 #define TPF_SIG_MASK_SIZE 240                                                  //ZTPF11
 #define _setjmp setjmp                                                         //ZTPF11
 #define _longjmp longjmp                                                       //ZTPF11

 typedef struct __ztpf_jmp_buf {                                                //PJ46547
          long   genreg[10];                                                    //ZTPF11
          double fpreg[4];                                                      //ZTPF11
          char   tpfsavearea[TPF_SA_SIZE];                                      //ZTPF11
          char   tpfsigmasks[TPF_SIG_MASK_SIZE];                                //ZTPF11
 } __jmp_buf[1];                                                                //ZTPF11

#endif                                                                          //ZTPF11
